### Makefile.gnu  -*- Makefile -*-
## Build small machine abstraction library for GNU.

### Ivan Shmakov, 2020, 2022

## To the extent possible under law, the author(s) have dedicated
## all copyright and related and neighboring rights to this software
## to the public domain worldwide.  This software is distributed
## without any warranty.

## You should have received a copy of the CC0 Public Domain Dedication
## along with this software.  If not, see
## <http://creativecommons.org/publicdomain/zero/1.0/>.

### History:

## 0.2  2022-10-11 18:55Z
##      (all): Add libmachine.a.
##      (libmachine.a): New target, depending on libmachine.a(machine.o).

## 0.1  2022-10-09 15:40:46Z
##      (sfn.L4-z6EWV1uyx5eP-MVjtvC5QzFmOCHf2ZRZSNz5IeKU.mk)
##      Initial revision, adapted from threespi-2020/Makefile.gnu.

### Code:

CFLAGS      = $(CFLAGS_1)
CPPFLAGS    = $(CPPFLAGS_1) $(CPPFLAGS_GNU)
## NB: uart-spi uses a macro like the one below to get suitable port masks
CPPFLAGS_GNU    = -DMACHINE_MEGA8_LIKE=1

RANLIB  = ranlib

### Additional dependencies

all:    libmachine.a

libmachine.a:   libmachine.a(machine.o)
	$(RANLIB) $@

machine.o:  machine.c machine.h
readypin:   machine.o
uart-spi:   machine.o

### Makefile.gnu ends here
